#include "stdafx.h"
#include "Departamento.h"
#include "ListaDisciplinas.H"
#include "Universidade.h"

#include "Disciplina.h"

Departamento::Departamento(int i)
{
	id = i;
	ObjLDisciplinas = new ListaDisciplinas(-1, "");
}

Departamento::~Departamento()
{
	if (ObjLDisciplinas)
	{
		delete ObjLDisciplinas;
	}
}

int Departamento::getId()
{
	return id;
}

void Departamento::setNome(char* n)
{
    strcpy(nome, n);
	ObjLDisciplinas->setNome(n);
}

char* Departamento::getNome()
{
    return nome;
}


void Departamento::setUniversidade ( Universidade* u )
{
   univ = u;
}

Universidade* Departamento::getUniversidade ( )
{
   return univ;
}

void Departamento::setDisciplina ( Disciplina* d )
{  
	ObjLDisciplinas->incluaDisciplina (d);
}

void Departamento::listeDisciplinas ( )
{
    ObjLDisciplinas->listeDisciplinas();
}

void Departamento::listeDisciplinas2 ( )
{
     ObjLDisciplinas->listeDisciplinas2();
}

