#include "stdafx.h"
#include "Disciplina.h"

Disciplina::Disciplina(int i, int na, char* ac)
{ 
	id = i;
	cont_alunos = 0;
	numero_alunos = na;
    DeptoAssociado		= NULL;  
 
    strcpy (area_conhecimento, ac ); 
}

Disciplina::~Disciplina()
{ 
   DeptoAssociado  = NULL;
}

void  Disciplina::setId ( int i ) 		
{ 
	id = i; 	
}

int   Disciplina::getId ( )  		
{  
	return id;  	
}

void  Disciplina::setNome(char* n)  	
{  
	strcpy(nome, n);  
}

char* Disciplina::getNome()
{  
	return nome;  
}

void Disciplina::setDepartamento(Departamento* d)
{
  // Cada vez que um Departamento  associado a uma Disciplina,
  // esta Disciplina passa a fazer parte da lista de disciplina 
  // do Departamento, por meio do comando abaixo.
  DeptoAssociado = d;
  DeptoAssociado->setDisciplina ( this );
}

Departamento* Disciplina::getDepartamento ( )
{
  return  DeptoAssociado;
}


void Disciplina::incluaAluno ( Aluno* pa )
{
	if(NULL != pa)
	{
		if (( cont_alunos < numero_alunos ) || ( -1 == numero_alunos))
		{
			ObjLAlunos.incluaAluno(pa);
			cont_alunos++;
		}
		else
		{
		   cout << "Aluno no includo. Turma j lotada em " << numero_alunos << " alunos." << endl;
		}
	   
	}
	else
	{
		cout << "Erro! Aluno no includo. Ponteiro Aluno invlido." << endl;
	}
}

void Disciplina::listeAlunos()
{
    cout << "\n\nAlunos matriculados na disciplina " << area_conhecimento << ": "<< endl;
    ObjLAlunos.listeAlunos();
}

void Disciplina::listeAlunos2()
{
    cout << "\n\nAlunos matriculados na disciplina " << area_conhecimento << ": "<< endl;
    ObjLAlunos.listeAlunos2();
}
