#include "stdafx.h"
#include "ListaAlunos.h"
#include "Aluno.h"

ListaAlunos::ListaAlunos()
{          
}

ListaAlunos::~ListaAlunos()
{
     limpaLista();
}

void ListaAlunos::limpaLista()
{
	LTAlunos.limpar();
}

void ListaAlunos::incluaAluno ( Aluno* pa )
{
    if(NULL != pa)
	{
		LTAlunos.incluaInfo(pa);  
	}
	else
	{
		cout << "Erro! Aluno no includo. Ponteiro Aluno invlido." << endl;
	}
}

void ListaAlunos::listeAlunos()
{
    Elemento<Aluno>* pElAux = NULL;
	Aluno* pAlAux = NULL;
	pElAux = LTAlunos.getpPrimeiro();

    while (pElAux != NULL)
    {
		pAlAux = pElAux->getInfo();
		cout << " Aluno " << pAlAux->getNome() << " com RA " << pAlAux->getRA() << "." << endl;
		pElAux = pElAux->getProximo();
    }
}

void ListaAlunos::listeAlunos2()
{
    Elemento<Aluno>* pElAux = NULL;
	Aluno* pAlAux = NULL;
	pElAux = LTAlunos.getpAtual();

    while (pElAux != NULL)
    {
		pAlAux = pElAux->getInfo();
		cout << " Aluno " << pAlAux->getNome() << " com RA " << pAlAux->getRA() << "." << endl;
		pElAux = pElAux->getAnterior();
    }
}


void ListaAlunos::graveAlunos()
{
	ofstream GravacaoAlunos ("alunos.dat", ios::out);

	if (!GravacaoAlunos)
	{
		cerr << "Arquivo no pode ser aberto" << endl;
		fflush(stdin);
		getchar();
	}

    Elemento<Aluno>* pauxElAluno = NULL;
	pauxElAluno = LTAlunos.getpPrimeiro();

    while (pauxElAluno != NULL)
    {
		 Aluno* pauxAluno;
         
		 pauxAluno = pauxElAluno->getInfo();

		 GravacaoAlunos << pauxAluno->getId() << ' ' 
						<< pauxAluno->getRA() << ' ' 
						<< pauxAluno->getNome() 
						<< endl;
         pauxElAluno = pauxElAluno->getProximo();
    } 

	GravacaoAlunos.close();

}

void ListaAlunos::recupereAlunos()
{	
	ifstream RecuperacaoAlunos ("alunos.dat", ios::in);

	if (!RecuperacaoAlunos)
	{
		cerr << "Arquivo no pode ser aberto" << endl;
		fflush(stdin);
		getchar();
	}

	limpaLista();

	while (!RecuperacaoAlunos.eof())
    {
		Aluno* pauxAluno;
         
		pauxAluno = new Aluno(-1);

		int				id;
	   	int				RA;
        char			nome[150] ;

		RecuperacaoAlunos	>> id >> RA >> nome;

		if (0 != strcmp(nome, ""))
		{
			pauxAluno->setId(id);
			pauxAluno->setRA(RA);
			pauxAluno->setNome(nome);
		
			incluaAluno (pauxAluno);
		}
    } 

	RecuperacaoAlunos.close();
}